Index: cpukit/librpc/ChangeLog
===================================================================
--- cpukit/librpc/ChangeLog	(revision 69a6204cdb258b5a54ce8ad856f11e0f2cc03e57)
+++ cpukit/librpc/ChangeLog	(revision 9e7e53bf1ebc9b4ad771cc28ad6ff386459d2b18)
@@ -1,2 +1,6 @@
+2003-11-30	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am: Add $(dirstamp) to preinstallation rules.
+
 2003-11-27	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: cpukit/librpc/Makefile.am
===================================================================
--- cpukit/librpc/Makefile.am	(revision 69a6204cdb258b5a54ce8ad856f11e0f2cc03e57)
+++ cpukit/librpc/Makefile.am	(revision 9e7e53bf1ebc9b4ad771cc28ad6ff386459d2b18)
@@ -94,5 +94,4 @@
     src/rpc/PSD.doc/rpc.rfc.ms src/rpc/PSD.doc/rpcgen.ms \
     src/rpc/PSD.doc/xdr.nts.ms src/rpc/PSD.doc/xdr.rfc.ms
-
 endif
 
@@ -100,70 +99,71 @@
 
 if LIBRPC
-$(PROJECT_INCLUDE)/rpc:
+$(PROJECT_INCLUDE)/rpc/$(dirstamp):
 	@$(mkinstalldirs) $(PROJECT_INCLUDE)/rpc
-PREINSTALL_FILES += $(PROJECT_INCLUDE)/rpc
+	@: > $(PROJECT_INCLUDE)/rpc/$(dirstamp)
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/rpc/$(dirstamp)
 
-$(PROJECT_INCLUDE)/rpc/auth.h: include/rpc/auth.h
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rpc/auth.h: include/rpc/auth.h $(PROJECT_INCLUDE)/rpc/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rpc/auth.h
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rpc/auth.h
 
-$(PROJECT_INCLUDE)/rpc/auth_des.h: include/rpc/auth_des.h
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rpc/auth_des.h: include/rpc/auth_des.h $(PROJECT_INCLUDE)/rpc/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rpc/auth_des.h
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rpc/auth_des.h
 
-$(PROJECT_INCLUDE)/rpc/auth_unix.h: include/rpc/auth_unix.h
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rpc/auth_unix.h: include/rpc/auth_unix.h $(PROJECT_INCLUDE)/rpc/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rpc/auth_unix.h
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rpc/auth_unix.h
 
-$(PROJECT_INCLUDE)/rpc/clnt.h: include/rpc/clnt.h
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rpc/clnt.h: include/rpc/clnt.h $(PROJECT_INCLUDE)/rpc/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rpc/clnt.h
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rpc/clnt.h
 
-$(PROJECT_INCLUDE)/rpc/des.h: include/rpc/des.h
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rpc/des.h: include/rpc/des.h $(PROJECT_INCLUDE)/rpc/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rpc/des.h
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rpc/des.h
 
-$(PROJECT_INCLUDE)/rpc/des_crypt.h: include/rpc/des_crypt.h
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rpc/des_crypt.h: include/rpc/des_crypt.h $(PROJECT_INCLUDE)/rpc/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rpc/des_crypt.h
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rpc/des_crypt.h
 
-$(PROJECT_INCLUDE)/rpc/pmap_clnt.h: include/rpc/pmap_clnt.h
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rpc/pmap_clnt.h: include/rpc/pmap_clnt.h $(PROJECT_INCLUDE)/rpc/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rpc/pmap_clnt.h
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rpc/pmap_clnt.h
 
-$(PROJECT_INCLUDE)/rpc/pmap_prot.h: include/rpc/pmap_prot.h
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rpc/pmap_prot.h: include/rpc/pmap_prot.h $(PROJECT_INCLUDE)/rpc/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rpc/pmap_prot.h
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rpc/pmap_prot.h
 
-$(PROJECT_INCLUDE)/rpc/pmap_rmt.h: include/rpc/pmap_rmt.h
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rpc/pmap_rmt.h: include/rpc/pmap_rmt.h $(PROJECT_INCLUDE)/rpc/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rpc/pmap_rmt.h
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rpc/pmap_rmt.h
 
-$(PROJECT_INCLUDE)/rpc/rpc.h: include/rpc/rpc.h
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rpc/rpc.h: include/rpc/rpc.h $(PROJECT_INCLUDE)/rpc/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rpc/rpc.h
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rpc/rpc.h
 
-$(PROJECT_INCLUDE)/rpc/rpc_com.h: include/rpc/rpc_com.h
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rpc/rpc_com.h: include/rpc/rpc_com.h $(PROJECT_INCLUDE)/rpc/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rpc/rpc_com.h
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rpc/rpc_com.h
 
-$(PROJECT_INCLUDE)/rpc/rpc_msg.h: include/rpc/rpc_msg.h
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rpc/rpc_msg.h: include/rpc/rpc_msg.h $(PROJECT_INCLUDE)/rpc/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rpc/rpc_msg.h
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rpc/rpc_msg.h
 
-$(PROJECT_INCLUDE)/rpc/svc.h: include/rpc/svc.h
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rpc/svc.h: include/rpc/svc.h $(PROJECT_INCLUDE)/rpc/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rpc/svc.h
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rpc/svc.h
 
-$(PROJECT_INCLUDE)/rpc/svc_auth.h: include/rpc/svc_auth.h
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rpc/svc_auth.h: include/rpc/svc_auth.h $(PROJECT_INCLUDE)/rpc/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rpc/svc_auth.h
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rpc/svc_auth.h
 
-$(PROJECT_INCLUDE)/rpc/types.h: include/rpc/types.h
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rpc/types.h: include/rpc/types.h $(PROJECT_INCLUDE)/rpc/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rpc/types.h
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rpc/types.h
 
-$(PROJECT_INCLUDE)/rpc/xdr.h: include/rpc/xdr.h
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/rpc/xdr.h: include/rpc/xdr.h $(PROJECT_INCLUDE)/rpc/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rpc/xdr.h
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rpc/xdr.h
 
